Package org.jboss.logging.processor.apt

## Class AbstractGenerator

- java.lang.Object
- - org.jboss.logging.processor.apt.AbstractGenerator

Direct Known Subclasses:
  `ReportFileGenerator`

    public abstract class AbstractGenerator
    extends Object

An abstract processor used process annotations.

Author:
  James R. Perkins, Kevin Pollet - SERLI - (kevin.pollet@serli.com)

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`String` `getName​()` Returns the name of the processor.
`Set<String>` `getSupportedOptions​()` Returns the supported options set.
`abstract void` `processTypeElement​(TypeElement annotation, TypeElement element, MessageInterface messageInterface)` Processes a type element.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### processTypeElement

    public abstract void processTypeElement​(TypeElement annotation,
                                            TypeElement element,
                                            MessageInterface messageInterface)

Processes a type element.

Parameters:
  `annotation` - the annotation who trigger the processing
  `element` - the element that contains the methods.
  `messageInterface` - the message interface to implement.

#### getName

    public final String getName​()

Returns the name of the processor.

Returns:
  the name of the processor.

#### getSupportedOptions

    public final Set<String> getSupportedOptions​()

Returns the supported options set.

Returns:
  the supported options set or empty set if none